Parselv1.0.0
Rate Shopping Profiles

Get a rate-shopping profile

Returns a rate-shopping profile.

GET
/rate_shopping_profiles/{profile_key}

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

profile_key*string

default or a UUID profile_key.

Response Body

application/json

application/json

curl -X GET "https://api.parsel.app/rate_shopping_profiles/string"
{
  "dim_factor": 250,
  "dim_threshold": 1728,
  "location_carriers": [
    {
      "carrier": "GoFo",
      "location": "Parsel Dallas"
    },
    {
      "carrier": "OnTrac",
      "location": "Parsel New York"
    }
  ],
  "name": "Default",
  "profile_key": "default",
  "rate_card": {
    "rate_entries": [
      {
        "rate_cents": 282,
        "weight": 1,
        "zone": 1
      }
    ],
    "weights": [
      1,
      2,
      4
    ],
    "zones": [
      1,
      2,
      3
    ]
  },
  "zip_coverage": [
    "01001",
    "02101",
    "94538"
  ],
  "zip_surcharges": {
    "GoFo": {
      "1001": "DAS",
      "2101": "EDAS"
    },
    "OnTrac": {
      "1001": "EDAS",
      "94538": "EDAS"
    }
  },
  "zone_tnt_mapping": [
    {
      "destination": "945",
      "origin": "750",
      "tnt": 3,
      "zone": 5
    }
  ]
}
{
  "errors": {
    "message": "The requested resource could not be found",
    "status": "Not Found"
  }
}